<?php

try
{
    $pdo = new PDO('mysql:host=localhost;dbname=database_name', 'database_user', 'database_password',  [
        PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION
    ]);
    $pdo -> exec("set names utf8");
    
    $pdo -> exec("CREATE TABLE IF NOT EXISTS pages( 
        id   INT AUTO_INCREMENT,
        slug  VARCHAR(255) NOT NULL, 
        title VARCHAR(255) NOT NULL, 
        content LONGTEXT NOT NULL,
        added_date DATETIME NOT NULL,
        added_by VARCHAR(255) NOT NULL,
        modified_date DATETIME NOT NULL,
        modified_by VARCHAR(255) NOT NULL
        PRIMARY KEY(id))", 
        "CREATE TABLE IF NOT EXISTS categories( 
            id   INT AUTO_INCREMENT,
            slug  VARCHAR(255) NOT NULL, 
            title VARCHAR(255) NOT NULL, 
            description VARCHAR(255) NOT NULL,
            added_date DATETIME NOT NULL,
            added_by VARCHAR(255) NOT NULL,
            modified_date DATETIME NOT NULL,
            modified_by VARCHAR(255) NOT NULL
            PRIMARY KEY(id)
            )", 
        "CREATE TABLE IF NOT EXISTS posts( 
            id   INT AUTO_INCREMENT,
            slug  VARCHAR(255) NOT NULL, 
            title VARCHAR(255) NOT NULL, 
            content LONGTEXT NOT NULL,
            added_date DATETIME NOT NULL,
            added_by VARCHAR(255) NOT NULL,
            modified_date DATETIME NOT NULL,
            modified_by VARCHAR(255) NOT NULL
            PRIMARY KEY(id)
            )",
        "CREATE TABLE IF NOT EXISTS users( 
            id   INT AUTO_INCREMENT,
            username  VARCHAR(255) NOT NULL, 
            password VARCHAR(255) NOT NULL, 
            email VARCHAR(255) NOT NULL,
            type VARCHAR(255) NOT NULL,
            added_date DATETIME NOT NULL,
            added_by VARCHAR(255) NOT NULL,
            modified_date DATETIME NOT NULL,
            modified_by VARCHAR(255) NOT NULL
            PRIMARY KEY(id)
            )",
        "CREATE TABLE IF NOT EXISTS comments( 
            id   INT AUTO_INCREMENT,
            comment  VARCHAR(1023) NOT NULL, 
            author VARCHAR(255) NOT NULL, 
            added_date DATETIME NOT NULL,
            added_by VARCHAR(255) NOT NULL,
            modified_date DATETIME NOT NULL,
            modified_by VARCHAR(255) NOT NULL
            PRIMARY KEY(id)",
        "CREATE TABLE IF NOT EXISTS medias( 
            id   INT AUTO_INCREMENT,
            medi_path  VARCHAR(1023) NOT NULL, 
            user_name VARCHAR(255) NOT NULL, 
            media LONGBLOB NOT NULL,
            media_alt VARCHAR(255) NOT NULL,
            added_date DATETIME NOT NULL,
            added_by VARCHAR(255) NOT NULL,
            modified_date DATETIME NOT NULL,
            modified_by VARCHAR(255) NOT NULL
            PRIMARY KEY(id)",
        "CREATE TABLE IF NOT EXISTS settings( 
            id   INT AUTO_INCREMENT,
            title  VARCHAR(1023) NOT NULL, 
            subtitle VARCHAR(1023) NOT NULL, 
            is_blog TINYINT(1) NOT NULL,
            is_register TINYINT(1) NOT NULL,
            is_admin_mail VARCHAR(255) NOT NULL,
            is_header VARCHAR(255) NOT NULL,
            is_header_nav VARCHAR(255) NOT NULL,
            is_footer VARCHAR(255) NOT NULL,
            is_footer_nav VARCHAR(255) NOT NULL,
            is_primary VARCHAR(255) NOT NULL,
            is_accent VARCHAR(255) NOT NULL,
            is_use_email TINYINT(1) NOT NULL,
            added_date DATETIME NOT NULL,
            added_by VARCHAR(255) NOT NULL,
            modified_date DATETIME NOT NULL,
            modified_by VARCHAR(255) NOT NULL
            PRIMARY KEY(id)",
        "CREATE TABLE IF NOT EXISTS cms_firewall( 
            id   INT AUTO_INCREMENT,
            ip_address  VARCHAR(1023) NOT NULL, 
            user_name VARCHAR(255) NOT NULL, 
            attack_time DATETIME NOT NULL,
            attack_city VARCHAR(1023) NOT NULL,
            attack_system VARCHAR(1023) NOT NULL,
            added_date DATETIME NOT NULL,
            added_by VARCHAR(255) NOT NULL,
            modified_date DATETIME NOT NULL,
            modified_by VARCHAR(255) NOT NULL
            PRIMARY KEY(id)");

    return $pdo;
}
catch(PDOException $e)
{
    echo 'Probleme mit der Datenbankverbindung...';
    die();
}