<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <div class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1 class="m-0"> Edit Page</h1>
        </div><!-- /.col -->
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#">Administrator</a></li>
            <li class="breadcrumb-item active">Edit Page</li>
          </ol>
        </div><!-- /.col -->
      </div><!-- /.row -->
    </div><!-- /.container-fluid -->
  </div>
  <!-- /.content-header -->

  <!-- Main content -->
  <div class="content">
    <div class="container-fluid bg-white py-3">
        <?php if(!empty($errorMessage)): ?>
        <div class="row">
            <div class="col">
                <p><?php echo bulletProof($errorMessage) ?></p>
            </div>
        </div>
        <?php endif; ?>

        <div class="row">
            <div class="col">
                <form action="./?route=admin/pages/edit-page" method="POST">
                    <input type="hidden" id="csrf_token" name="csrf_token" value="<?php echo csrf_token(); ?>"  />
                    <input hidden type="number" id="pageId" name="pageId" value="<?php echo bulletProof($page -> id); ?>" />
                    
                    <div class="row mb-1">
                        <div class="col">
                            <input type="text" class="form-control" id="title" name="title" placeholder="Title" value="<?php if(isset($_POST['title'])) echo $_POST['title']; else echo bulletProof($page -> title) ?>" />
                        </div>
                    </div>

                    <div hidden class="row mb-1">
                        <div class="col">
                            <input type="text" class="form-control" id="slug" name="slug" placeholder="Slug" value="<?php if(!empty($_POST['slug'])) echo $_POST['slug']; else echo bulletProof($page -> slug)  ?>" />
                        </div>
                    </div>

                    <div class="row mb-1">
                        <div class="col">
                          <div id="summernote" name="content"><?php if(isset($_POST['content'])) echo bulletProof($_POST['content']); else echo bulletProof($page -> content) ?></div>
                        </div>
                    </div>

                    <div class="row mb-1">
                        <div class="col">
                            <input type="submit" class="btn btn-secondary" value="Veröffentlichen" />
                            <input type="reset" class="btn btn-secondary" value="Abbrechen" />
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
  </div>
  <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<!-- Control Sidebar -->
<aside class="control-sidebar control-sidebar-dark">
  <!-- Control sidebar content goes here -->
  <div class="p-3">
    <h5>Platzhalter-Title</h5>
    <p>Platzhalter-Sidebar content</p>
  </div>
</aside>
<!-- /.control-sidebar -->