<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <div class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1 class="m-0">General</h1>
        </div><!-- /.col -->
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#">Administrator</a></li>
            <li class="breadcrumb-item active">General</li>
          </ol>
        </div><!-- /.col -->
      </div><!-- /.row -->
    </div><!-- /.container-fluid -->
  </div>
  <!-- /.content-header -->

  <!-- Main content -->
  <div class="content">
    <div class="container-fluid bg-white px-3 py-3">
        <div class="row mb-5">
            <div class="col">
                <form action="/?route=admin/settings/general" method="POST">
                  <input type="hidden" id="csrf_token" name="csrf_token" value="<?php use OTPHP\TOTP; echo csrf_token(); ?>"  />
                  <?php foreach($settings as $page): ?>
                  <input hidden id="settingId" name="settingId" type="text" class="form-control" value="<?php if(!empty($page) ?? '') echo $page -> id ?>" />
                    <!-- Begin -->
                    <div class="row mb-1">
                      <div class="col">
                        <div class="input-group mb-3">
                          <input type="text" class="form-control" name="title" placeholder="Title" value="<?php if(!empty($page) ?? '') echo $page -> title ?>" />
                        </div>
                      </div>
                    </div>

                    <div class="row mb-1">
                      <div class="col">
                        <div class="input-group mb-3">
                          <input type="text" class="form-control" name="subTitle" placeholder="Subtitle" value="<?php if(!empty($page) ?? '') echo $page -> subtitle ?>" />
                        </div>
                      </div>
                    </div>

                    <div class="row mb-1">
                      <div class="col">
                        <div class="input-group mb-3">
                          <input type="text" class="form-control" name="siteTitle" placeholder="Site Title" value="<?php if(!empty($page) ?? '') echo $page -> site_title ?>" />
                        </div>
                      </div>
                    </div>

                    <div class="row mb-1">
                      <div class="col">
                        <div class="input-group mb-3">
                          <input type="text" class="form-control" name="isAdminEMail" placeholder="Administrator E-Mail Address" value="<?php if(!empty($page) ?? '') echo $page -> is_admin_mail ?>" />
                        </div>
                      </div>
                    </div>

                    <div class="row mb-1">
                      <div class="col">
                        <div class="form-check">
                          <input class="form-check-input" type="checkbox" id="lblIsBlog" name="isBlog" <?php if(!empty($page -> is_blog)) echo 'checked' ?> />
                          <span class="form-check-label" for="lblIsBlog">
                            enable Blog 
                          </span>
                        </div>
                      </div>
                    </div>

                    <div class="row mb-1">
                      <div class="col">
                        <div class="form-check">
                          <input class="form-check-input" type="checkbox" id="lblIsRegister" name="isRegister" <?php if(!empty($page -> is_register)) echo 'checked' ?> />
                          <span class="form-check-label" for="lblIsRegister">
                            enable Register
                          </span>
                        </div>
                      </div>
                    </div>

                    <div class="row mb-1">
                      <div class="col">
                        <div class="form-check">
                          <input class="form-check-input" type="checkbox" id="lblIsUseMail" name="isUseMail" <?php if(!empty($page -> is_use_email)) echo 'checked' ?> />
                          <span class="form-check-label" for="lblIsUseMail">
                            enable Mail Function
                          </span>
                        </div>
                      </div>
                    </div>

                    <div class="row mb-1">
                      <div class="col">
                        <div class="form-check">
                          <input class="form-check-input" type="checkbox" id="lblIsCookieBanner" name="isCookieBanner" <?php if(!empty($page -> is_cookie_banner)) echo 'checked' ?>/>
                          <span class="form-check-label" for="lblIsCookieBanner">
                            enable Cookie Banner
                          </span>
                        </div>
                      </div>
                    </div>

                    <div class="row mb-3">
                      <div class="col">
                        <div class="form-check">
                          <input class="form-check-input" type="checkbox" id="lblCheck2FA" name="check2FA" onchange="check2FA();" />
                          <span class="form-check-label" for="lblCheck2FA">
                            enable 2FA
                          </span>
                        </div>
                      </div>
                    </div>

                      <div class="container" id="text">
                        <?php
                          require_once "vendor/autoload.php";
                                                    
                          // A random secret will be generated from this.
                          // You should store the secret with the user for verification.
                          $otp = TOTP::create();
                          $secret = $otp -> getSecret();
                          /*echo "<div class='row text-center mt-1'><div class='col'><p>Das OTP-Secret lautet: {$secret}\n</p>";
                          $otp = TOTP::create($secret);
                          echo "<p>Die aktuelle OTP lautet: {$otp->now()}\n</p></div></div>";*/

                          // Note: You must set label before generating the QR code
                          $otp -> setLabel('Mein Your-CMS');
                          $grCodeUri = $otp -> getQrCodeUri(
                              'https://chart.googleapis.com/chart?cht=qr&chs=300x300&chl=[DATA]&chld=M',
                              '[DATA]'
                          );
                          echo "<div class='row text-center'><div class='col'><img class='img-fluid' src='{$grCodeUri}'></div></div>";
                        ?>
                                            
                      <div class="row text-center mb-3">
                        <div class="col"></div>
                        <div class="col">
                          <input  class="form-control" id="secret2fa" name="secretHash2fa" value="<?php echo $secret ?>" />              
                          <input class="form-control" id="secret2fa" name="secret2fa" value="" required />               
                        </div>
                        <div class="col"></div>
                      </div>
                      <div class="row text-center">
                        <div class="col">
                          <input class="btn btn-sm btn-secondary" type="reset" value="Abbrechen" />
                          <input class="btn btn-sm btn-success" type="submit" value="2FA einrichten" />
                        </div>
                      </div>
                    </div>
                    <!-- End ... -->

                  <!-- Begin ... -->
                  <div style="float: right;" class="row m-3">
                    <div class="col">
                      <input type="reset" class="btn btn-sm btn-secondary" value="Abbrechen" />
                      <input type="submit" class="btn btn-sm btn-secondary" value="Speichern" />
                    </div>
                  </div>
                  <!-- End ... -->
                  <?php endforeach; ?>
                </form>
            </div>
        </div>
    </div>
  </div>
  <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<!-- Control Sidebar -->
<aside class="control-sidebar control-sidebar-dark">
  <!-- Control sidebar content goes here -->
  <div class="p-3">
    <h5>Platzhalter-Title</h5>
    <p>Platzhalter-Sidebar content</p>
  </div>
</aside>
<!-- /.control-sidebar -->