<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <div class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1 class="m-0">Users</h1>
        </div><!-- /.col -->
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#">Administrator</a></li>
            <li class="breadcrumb-item active">Users</li>
          </ol>
        </div><!-- /.col -->
      </div><!-- /.row -->
    </div><!-- /.container-fluid -->
  </div>
  <!-- /.content-header -->

  <!-- Main content -->
  <div class="content">
    <div class="card card-outline card-secondary">
      <div style="overflow-x: scroll;" class="card-body">
        <div class="row mb-3">
          <div class="col">
            <a href="./?route=admin/create-user" class="btn btn-sm btn-secondary">New User</a>
          </div>
        </div>

        <div class="row mb-5">
          <div class="col">
            <?php if(!empty($pages)): ?>
              <table class="table table-striped table-hover">
                <thead>
                    <th><input type="checkbox" /></th>
                    <th>Username</th>
                    <th>Usertype</th>
                    <th>Action</th>
                </thead>

                <tbody>
                    <?php foreach($pages as $page): ?>
                    <tr>
                        <td><input type="checkbox" /></td>
                        <td><?php echo $page -> username ?></td>
                        <td><?php echo $page -> type ?></td>
                        <td style="width: 12%;">
                          <div class="row">
                            <div class="col">
                              <a style="float: left;" href="./?route=admin/edit-user&id=<?php echo bulletProof($page -> id); ?>" class="btn">
                                  <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-pencil" viewBox="0 0 16 16">
                                      <path d="M12.146.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1 0 .708l-10 10a.5.5 0 0 1-.168.11l-5 2a.5.5 0 0 1-.65-.65l2-5a.5.5 0 0 1 .11-.168l10-10zM11.207 2.5 13.5 4.793 14.793 3.5 12.5 1.207 11.207 2.5zm1.586 3L10.5 3.207 4 9.707V10h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.293l6.5-6.5zm-9.761 5.175-.106.106-1.528 3.821 3.821-1.528.106-.106A.5.5 0 0 1 5 12.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.468-.325z"/>
                                  </svg>
                              </a>

                              <form style="float: right;" action="./?route=admin/delete-user" method="POST">
                                <input type="hidden" id="csrf_token" name="csrf_token" value="<?php echo csrf_token(); ?>"  />
                                <input hidden type="number" id="id" name="id" value="<?php echo bulletProof($page -> id); ?>" />
                                <button type="submit" class="btn">
                                  <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-trash" viewBox="0 0 16 16">
                                      <path d="M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0V6z"/>
                                      <path fill-rule="evenodd" d="M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1v1zM4.118 4 4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4H4.118zM2.5 3V2h11v1h-11z"/>
                                  </svg>
                                </button>
                              </form>
                            </div>
                          </div>
                        </td>
                    </tr>
                    <?php endforeach; ?>
                </tbody>
              </table>
            <?php endif; ?>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<!-- Control Sidebar -->
<aside class="control-sidebar control-sidebar-dark">
  <!-- Control sidebar content goes here -->
  <div class="p-3">
    <h5>Platzhalter-Title</h5>
    <p>Platzhalter-Sidebar content</p>
  </div>
</aside>
<!-- /.control-sidebar -->